clang 10.0.0git

Namespaces | Enumerations | Functions
CheckerHelpers.h File Reference
`#include "clang/AST/Stmt.h"`
`#include <tuple>`
Include dependency graph for CheckerHelpers.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento

## Enumerations
enum | clang::ento::Nullability : char { clang::ento::Nullability::Contradicted, clang::ento::Nullability::Nullable, clang::ento::Nullability::Unspecified, clang::ento::Nullability::Nonnull }

## Functions
bool | clang::ento::containsMacro (const Stmt *S)
bool | clang::ento::containsEnum (const Stmt *S)
bool | clang::ento::containsStaticLocal (const Stmt *S)
bool | clang::ento::containsBuiltinOffsetOf (const Stmt *S)
template<class T >
bool | clang::ento::containsStmt (const Stmt *S)
std::pair< const clang::VarDecl *, const clang::Expr * > | clang::ento::parseAssignment (const Stmt *S)
Nullability | clang::ento::getNullabilityAnnotation (QualType Type)
| Get nullability annotation for a given type. More...